CellContext.RunDecor (JavaFX 28)
Description: declaration: module: jfx.incubator.richtext, package: jfx.incubator.scene.control.richtext.skin, interface: CellContext, enum: RunDecor

# Enum Class CellContext.RunDecor

java.lang.Object
java.lang.Enum<CellContext.RunDecor>
jfx.incubator.scene.control.richtext.skin.CellContext.RunDecor

All Implemented Interfaces:
  `Serializable, Comparable<CellContext.RunDecor>, Constable`

Enclosing interface:
  `CellContext`

public static enum CellContext.RunDecor extends Enum<CellContext.RunDecor>
Specifies the decoration type to be applied to multiple text segments.

Since:
  27

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HIGHLIGHT`
  Text background (highlight) decoration.
  `WAVY_UNDERLINE`
  Wavy underline decoration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CellContext.RunDecor`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CellContext.RunDecor[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HIGHLIGHT

    public static final CellContext.RunDecor HIGHLIGHT
    Text background (highlight) decoration.

  - ### WAVY_UNDERLINE

    public static final CellContext.RunDecor WAVY_UNDERLINE
    Wavy underline decoration.

- ## Method Details

  - ### values

    public static CellContext.RunDecor[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CellContext.RunDecor valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null